
#ifndef __C2_H
#define __C2_H

enum C2_StatusCode {
	C2_S_INVALID_COMMAND = 0x00,
	C2_S_COMMAND_FAILED = 0x02,
	C2_S_COMMAND_OK = 0x0d,
};

enum C2_InterfaceCommand {
	C2_C_GET_VERSION = 0x01,
	C2_C_DEVICE_ERASE = 0x03,
	C2_C_BLOCK_READ = 0x06,
	C2_C_BLOCK_WRITE = 0x07,
	C2_C_PAGE_ERASE = 0x08,
};

enum C2_Register {
	C2_R_DEVICEID = 0x00,
	C2_R_REVID = 0x01,
	C2_R_FPCTL = 0x02,
	C2_R_FPDAT = 0xb4,
};

enum C2_AdapterRequest {
	C2_A_NONE = 0x00,
	C2_A_ECHO = '?',
	C2_A_GET_VERSION = 0x01,
	C2_A_HELLO_WORLD = 0x0d,
	C2_A_RESET = 0x10,
	C2_A_WRITE_ADDRESS = 0x11,
	C2_A_READ_ADDRESS = 0x12,
	C2_A_WRITE_DATA = 0x13,
	C2_A_READ_DATA = 0x14,

	C2_A_TRANSFER = 0x15,
	C2_A_CHECKSUM = 0x16,

	C2_A_FLASH_PROGRAM_MODE = 0x20,
	C2_A_BLOCK_WRITE = 0x21,
	C2_A_BLOCK_READ = 0x22,
};

#endif // __C2_H

